## brlaser 3

=== debian/changelog ===
brlaser (3-5~ubuntu1) xenial-proposed; urgency=medium

  * SRU: LP: #1592659, fix build failure.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jun 2016 08:28:18 +0200

brlaser (3-5) unstable; urgency=medium

  [ Peter Spiess-Knafl ]
  * Add patch to add missing #include <string> (Closes: #822500)

  [ Didier Raboud ]
  * Bump S-V to 3.9.8 without changes needed
  * Add debian/gbp.conf to cope with the new git branches

 -- Didier Raboud <odyx@debian.org>  Mon, 25 Apr 2016 21:28:24 +0200

brlaser (3-4) unstable; urgency=medium

  * Import upstream patch to add support for Brother DCP-7055
  * Bump Standards-Version to 3.9.7 without changes needed

 -- Didier Raboud <odyx@debian.org>  Thu, 25 Feb 2016 19:39:14 +0100

brlaser (3-3) unstable; urgency=medium

  * Drop superfluous pyppd build-dependency
  * Make build commands verbose through autotools' V=1

 -- Didier Raboud <odyx@debian.org>  Wed, 09 Jul 2014 08:46:51 +0200

brlaser (3-2) unstable; urgency=medium

  * Correct package description
  * Override dh_auto_configure with a proper --docdir to put the README.md in
    the correct path

 -- Didier Raboud <odyx@debian.org>  Tue, 08 Jul 2014 23:56:50 +0200

brlaser (3-1) unstable; urgency=medium

  * Initial upload to Debian (Closes: #753520)

 -- Didier Raboud <odyx@debian.org>  Tue, 08 Jul 2014 09:32:27 +0200
