=== debian/control ===
Source: brlaser
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 9),
 dh-autoreconf,
 libcups2-dev,
 libcupsimage2-dev,
Vcs-Git: https://alioth.debian.org/anonscm/git/printing/brlaser.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=printing/brlaser.git
Homepage: https://github.com/pdewacht/brlaser
XS-Testsuite: autopkgtest
Standards-Version: 3.9.8

Package: printer-driver-brlaser
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: printer driver for (some) Brother laser printers
 CUPS filter driver supporting (some) Brother laser printer.
 .
 This driver is known to support these printers:
  * Brother DCP-7030
  * Brother DCP-7065DN
 .
 This package contains the CUPS filter driver for the supported laser printers.
