=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --docdir=/usr/share/doc/printer-driver-brlaser

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_auto_test:
	dh_auto_test -- V=1
