## brlaser 4

=== debian/changelog ===
brlaser (4-1) unstable; urgency=medium

  * New upstream release
    - Build system changed to CMake

  * Packaging cleanup: 
    - Bump debhelper compat to 11
    - Update packaging to cmake build system
    - Install README.md as doc
    - Cleanup the superfluous Testsuite control field
    - Refresh d/copyright
    - Enable hardening

 -- Didier Raboud <odyx@debian.org>  Fri, 02 Mar 2018 08:08:59 +0100

brlaser (3-6) unstable; urgency=medium

  * Update debian/control syntax with cme
  * Bump Standards-Version to 4.1.3 without changes needed
  * Update Vcs-* fields for the move to salsa.d.o
  * Initialize git-dpm

 -- Didier Raboud <odyx@debian.org>  Fri, 09 Feb 2018 17:10:46 +0100
