=== debian/control ===
Source: brlaser
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Section: text
Priority: optional
Build-Depends: debhelper (>= 11),
               cmake,
               libcups2-dev,
               libcupsimage2-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/printing-team/brlaser
Vcs-Git: https://salsa.debian.org/printing-team/brlaser.git
Homepage: https://github.com/pdewacht/brlaser

Package: printer-driver-brlaser
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: printer driver for (some) Brother laser printers
 CUPS filter driver supporting (some) Brother laser printer.
 .
 This driver is known to support these printers:
  * Brother DCP-7030
  * Brother DCP-7065DN
 .
 This package contains the CUPS filter driver for the supported laser printers.
