## brlaser 5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.1)
 project(brlaser CXX)
-set(BRLASER_VERSION "4")
+set(BRLASER_VERSION "5")
 
 if (NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
   message(STATUS "No build type selected, default to RelWithDebInfo")
@@ -112,7 +112,7 @@
 target_link_libraries(rastertobrlaser ${CUPS_LIBS})
 target_link_libraries(rastertobrlaser ${CUPS_LDFLAGS})
 
-add_executable(brdecode src/brdecode.cc)
+add_executable(brdecode EXCLUDE_FROM_ALL src/brdecode.cc)
 add_executable(test_lest test/test_lest.cc)
 add_executable(test_line test/test_line.cc src/line.cc)
 add_executable(test_block test/test_block.cc)
