=== debian/changelog ===
brlaser (5-1) unstable; urgency=medium

  * New upstream release

  * Use secure copyright file specification URI.
  * Bump debhelper from old 11 to 12.
  * Bump S-V to 4.4 without changes needed
  * Refresh package description to list the currently supported printers
  * Tiny fixup in the d/copyright file

 -- Didier Raboud <odyx@debian.org>  Thu, 05 Sep 2019 09:48:23 +0200
