=== debian/changelog ===
brlaser (6-1) unstable; urgency=medium

  * New upstream release
  * Set upstream metadata fields: Repository.

 -- Didier Raboud <odyx@debian.org>  Mon, 30 Sep 2019 20:35:40 +0200
