=== debian/tests/control ===
Tests: printer-driver-brlaser
Restrictions: needs-root
Depends: printer-driver-brlaser, cups, cups-client (>= 1.7.3-5~)
