=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/brlaser-$1\.tar\.gz/ \
  https://github.com/pdewacht/brlaser/tags .*/v?(\d\S*)\.tar\.gz
