## brlaser 6.2.6

=== debian/changelog ===
brlaser (6.2.6-1) unstable; urgency=medium

  * Update to new upstream version 6.2.6 using debrebase.
    (only patch was applied upstream and automatically removed9
    (Closes: #1051303)

  [ QwertyChouskie ]
  * Update upstream repository URLs to new upstream
    (in debian/control, debian/copyright, debian/upstream/metadata,
     debian/watch)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Jan 2025 23:46:56 +0100

brlaser (6-3) unstable; urgency=medium

  * debian/control: add myself to Uploaders:
  * debian/control: add Rules-Requires-Root:
  * fix printing of documents with images (Closes: #999584, #1004133)
    cherry picked from upstream 9d7ddda8383bfc4d205b5e1b49de2b8bcd9137f1

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 02 Apr 2022 17:03:02 +0200

brlaser (6-2) unstable; urgency=medium

  * Remove myself from Uploaders
  * Run wrap-and-sort -baskt
  * Update watch file format version to 4
  * Bump debhelper from old 12 to 13
  * Set upstream metadata fields
  * Remove listed license files (COPYING) from copyright
  * Add Salsa CI configuration
  * S-V: Update to 4.6.0 without changes needed

 -- Didier Raboud <odyx@debian.org>  Wed, 01 Sep 2021 16:37:48 +0200
