=== debian/changelog ===
brlaser (6.2.7-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1112735)
  * debian/control: bump standard to 4.7.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 17 Oct 2025 20:04:30 +0200

brlaser (6.2.7-1) unstable; urgency=medium

  * Update to new upstream version 6.2.7.
    fix for duplex long-edge actually prints duplex short-edge
    (Closes: #1101579)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 18 Apr 2025 20:04:30 +0200
