=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: brlaser
 Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
-Uploaders: Didier Raboud <odyx@debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: text
 Priority: optional
-Build-Depends: cmake,
-               libcups2-dev,
-               libcupsimage2-dev,
-               debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ libcups2-dev,
+ libcupsimage2-dev,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/printing-team/brlaser
 Vcs-Git: https://salsa.debian.org/printing-team/brlaser.git
-Homepage: https://github.com/pdewacht/brlaser
+Homepage: https://github.com/Owl-Maintain/brlaser
+Rules-Requires-Root: no
 
 Package: printer-driver-brlaser
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: printer driver for (some) Brother laser printers
  CUPS filter driver supporting (some) Brother laser printer.
  .
