=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/brlaser-$1\.tar\.gz/ https://github.com/Owl-Maintain/brlaser/tags .*/v?(\d\S*)\.tar\.gz
