## brlaser 6.2.8

=== debian/changelog ===
brlaser (6.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 13 Feb 2026 19:27:45 +0100
